#include "..\intel\timestmp.h"



//
//  Timer routines - use set_*timeout to receive a clock value which
//                   can later be tested by calling chk_timeout with
//                   that clock value to determine if a timeout has
//                   occurred.  chk_timeout returns 0 if NOT timed out.
//
//
//  Usage :
//           long set_timeout( int seconds )
//           long set_ttimeout( int pc_ticks )
//           int chk_timeout( long value )
//

extern "C"
unsigned long set_timeout( int seconds )
{
    PentiumClock temp, now;

    now.set();
    temp.put_seconds( seconds );
    temp += now;
    return temp.get_ticks();
}



extern "C"
unsigned long set_ttimeout( int pc_ticks )
{
    PentiumClock temp, now;

    now.set();
    temp.put_ticks( pc_ticks );
    temp += now;
    return temp.get_ticks();
}



extern "C"
int chk_timeout( unsigned long value )
{
    PentiumClock temp, now;

    now.set();
    temp.put_ticks( value );
    return now >= temp;
}
